// CalWINV1Dlg.h : header file
//

#if !defined(AFX_CALWINV1DLG_H__2EC6A0F4_0FEE_11D5_8DE7_D8C1A8FEF849__INCLUDED_)
#define AFX_CALWINV1DLG_H__2EC6A0F4_0FEE_11D5_8DE7_D8C1A8FEF849__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CActionHandler;

/////////////////////////////////////////////////////////////////////////////
// CCalWINV1Dlg dialog

class CCalWINV1Dlg : public CDialog
{
// Construction
public:
	void disableNumberSystemChange();
	void enableNumberSystemChange(bool flag=true);
	void updateDisplayPanel(char *buf);
	CCalWINV1Dlg(CActionHandler *pActionHandler, 
        CWnd* pParent = NULL);	// standard constructor

protected:
    virtual BOOL PreTranslateMessage(MSG *);

// Dialog Data
	//{{AFX_DATA(CCalWINV1Dlg)
	enum { IDD = IDD_CALWINV1_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCalWINV1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCalWINV1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton0();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButtonA();
	afx_msg void OnButtonB();
	afx_msg void OnButtonC();
	afx_msg void OnButtonCC();
	afx_msg void OnButtonCE();
	afx_msg void OnButtonD();
	afx_msg void OnButtonDiv();
	afx_msg void OnButtonDot();
	afx_msg void OnButtonE();
	afx_msg void OnButtonEqual();
	afx_msg void OnButtonF();
	afx_msg void OnButtonMinus();
	afx_msg void OnButtonMult();
	afx_msg void OnButtonPlus();
	afx_msg void OnRadioBin();
	afx_msg void OnRadioDec();
	afx_msg void OnRadioHex();
	afx_msg void OnRadioOct();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnKey0();
	afx_msg void OnKey1();
	afx_msg void OnKey2();
	afx_msg void OnKey3();
	afx_msg void OnKey4();
	afx_msg void OnKey5();
	afx_msg void OnKey6();
	afx_msg void OnKey7();
	afx_msg void OnKey8();
	afx_msg void OnKey9();
	afx_msg void OnKeyA();
	afx_msg void OnKeyB();
	afx_msg void OnKeyBin();
	afx_msg void OnKeyC();
	afx_msg void OnKeyCC();
	afx_msg void OnKeyCE();
	afx_msg void OnKeyD();
	afx_msg void OnKeyDec();
	afx_msg void OnKeyDiv();
	afx_msg void OnKeyDot();
	afx_msg void OnKeyE();
	afx_msg void OnKeyEqual();
	afx_msg void OnKeyF();
	afx_msg void OnKeyHex();
	afx_msg void OnKeyMinus();
	afx_msg void OnKeyMult();
	afx_msg void OnKeyOct();
	afx_msg void OnKeyPlus();
	afx_msg void OnButtonNeg();
	afx_msg void OnKeyNeg();
	afx_msg void OnKeyTest();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void SetBinaryPad();
	void SetOctalPad();
	void SetDecimalPad();
	void SetHexadecimalPad();
	void SetKeyPad(int i);
	void SetRadioButton(int id);
	void ResetFocus();
	void EmulateBtnPress(int id);
	CActionHandler * m_pActionHandler;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CALWINV1DLG_H__2EC6A0F4_0FEE_11D5_8DE7_D8C1A8FEF849__INCLUDED_)
