// CalWINV1Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "CalWINV1.h"
#include "CalWINV1Dlg.h"
#include "ActionHandler.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCalWINV1Dlg dialog

CCalWINV1Dlg::CCalWINV1Dlg(CActionHandler *pActionHandler,
                           CWnd* pParent /*=NULL*/)
	: CDialog(CCalWINV1Dlg::IDD, pParent),
      m_pActionHandler(pActionHandler)
{
	//{{AFX_DATA_INIT(CCalWINV1Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCalWINV1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCalWINV1Dlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CCalWINV1Dlg, CDialog)
	//{{AFX_MSG_MAP(CCalWINV1Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_0, OnButton0)
	ON_BN_CLICKED(IDC_BUTTON_1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON_2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON_3, OnButton3)
	ON_BN_CLICKED(IDC_BUTTON_4, OnButton4)
	ON_BN_CLICKED(IDC_BUTTON_5, OnButton5)
	ON_BN_CLICKED(IDC_BUTTON_6, OnButton6)
	ON_BN_CLICKED(IDC_BUTTON_7, OnButton7)
	ON_BN_CLICKED(IDC_BUTTON_8, OnButton8)
	ON_BN_CLICKED(IDC_BUTTON_9, OnButton9)
	ON_BN_CLICKED(IDC_BUTTON_A, OnButtonA)
	ON_BN_CLICKED(IDC_BUTTON_B, OnButtonB)
	ON_BN_CLICKED(IDC_BUTTON_C, OnButtonC)
	ON_BN_CLICKED(IDC_BUTTON_CC, OnButtonCC)
	ON_BN_CLICKED(IDC_BUTTON_CE, OnButtonCE)
	ON_BN_CLICKED(IDC_BUTTON_D, OnButtonD)
	ON_BN_CLICKED(IDC_BUTTON_DIV, OnButtonDiv)
	ON_BN_CLICKED(IDC_BUTTON_DOT, OnButtonDot)
	ON_BN_CLICKED(IDC_BUTTON_E, OnButtonE)
	ON_BN_CLICKED(IDC_BUTTON_EQUAL, OnButtonEqual)
	ON_BN_CLICKED(IDC_BUTTON_F, OnButtonF)
	ON_BN_CLICKED(IDC_BUTTON_MINUS, OnButtonMinus)
	ON_BN_CLICKED(IDC_BUTTON_MULT, OnButtonMult)
	ON_BN_CLICKED(IDC_BUTTON_PLUS, OnButtonPlus)
	ON_BN_CLICKED(IDC_RADIO_BIN, OnRadioBin)
	ON_BN_CLICKED(IDC_RADIO_DEC, OnRadioDec)
	ON_BN_CLICKED(IDC_RADIO_HEX, OnRadioHex)
	ON_BN_CLICKED(IDC_RADIO_OCT, OnRadioOct)
	ON_COMMAND(IDC_KEY_0, OnKey0)
	ON_COMMAND(IDC_KEY_1, OnKey1)
	ON_COMMAND(IDC_KEY_2, OnKey2)
	ON_COMMAND(IDC_KEY_3, OnKey3)
	ON_COMMAND(IDC_KEY_4, OnKey4)
	ON_COMMAND(IDC_KEY_5, OnKey5)
	ON_COMMAND(IDC_KEY_6, OnKey6)
	ON_COMMAND(IDC_KEY_7, OnKey7)
	ON_COMMAND(IDC_KEY_8, OnKey8)
	ON_COMMAND(IDC_KEY_9, OnKey9)
	ON_COMMAND(IDC_KEY_A, OnKeyA)
	ON_COMMAND(IDC_KEY_B, OnKeyB)
	ON_COMMAND(IDC_KEY_BIN, OnKeyBin)
	ON_COMMAND(IDC_KEY_C, OnKeyC)
	ON_COMMAND(IDC_KEY_CC, OnKeyCC)
	ON_COMMAND(IDC_KEY_CE, OnKeyCE)
	ON_COMMAND(IDC_KEY_D, OnKeyD)
	ON_COMMAND(IDC_KEY_DEC, OnKeyDec)
	ON_COMMAND(IDC_KEY_DIV, OnKeyDiv)
	ON_COMMAND(IDC_KEY_DOT, OnKeyDot)
	ON_COMMAND(IDC_KEY_E, OnKeyE)
	ON_COMMAND(IDC_KEY_EQUAL, OnKeyEqual)
	ON_COMMAND(IDC_KEY_F, OnKeyF)
	ON_COMMAND(IDC_KEY_HEX, OnKeyHex)
	ON_COMMAND(IDC_KEY_MINUS, OnKeyMinus)
	ON_COMMAND(IDC_KEY_MULT, OnKeyMult)
	ON_COMMAND(IDC_KEY_OCT, OnKeyOct)
	ON_COMMAND(IDC_KEY_PLUS, OnKeyPlus)
	ON_BN_CLICKED(IDC_BUTTON_NEG, OnButtonNeg)
	ON_COMMAND(IDC_KEY_NEG, OnKeyNeg)
	ON_COMMAND(IDC_KEY_TEST, OnKeyTest)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCalWINV1Dlg message handlers

BOOL CCalWINV1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
    SetRadioButton(IDC_RADIO_DEC);
    SetDecimalPad();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CCalWINV1Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
    else if (nID == SC_CLOSE)
    {
        CDialog::OnCancel();
    }
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCalWINV1Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCalWINV1Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CCalWINV1Dlg::OnButton0() 
{
    ResetFocus();
    m_pActionHandler->OnButton0();
}

void CCalWINV1Dlg::OnButton1() 
{
    ResetFocus();
    m_pActionHandler->OnButton1();
}

void CCalWINV1Dlg::OnButton2() 
{
    ResetFocus();
    m_pActionHandler->OnButton2();
}

void CCalWINV1Dlg::OnButton3() 
{
    ResetFocus();
    m_pActionHandler->OnButton3();
}

void CCalWINV1Dlg::OnButton4() 
{
    ResetFocus();
    m_pActionHandler->OnButton4();
}

void CCalWINV1Dlg::OnButton5() 
{
    ResetFocus();
    m_pActionHandler->OnButton5();
}

void CCalWINV1Dlg::OnButton6() 
{
    ResetFocus();
    m_pActionHandler->OnButton6();
}

void CCalWINV1Dlg::OnButton7() 
{
    ResetFocus();
    m_pActionHandler->OnButton7();
}

void CCalWINV1Dlg::OnButton8() 
{
    ResetFocus();
    m_pActionHandler->OnButton8();
}

void CCalWINV1Dlg::OnButton9() 
{
    ResetFocus();
    m_pActionHandler->OnButton9();
}

void CCalWINV1Dlg::OnButtonA() 
{
    ResetFocus();
    m_pActionHandler->OnButtonA();
}

void CCalWINV1Dlg::OnButtonB() 
{
    ResetFocus();
    m_pActionHandler->OnButtonB();
}

void CCalWINV1Dlg::OnButtonC() 
{
    ResetFocus();
    m_pActionHandler->OnButtonC();
}

void CCalWINV1Dlg::OnButtonCC() 
{
    ResetFocus();
    m_pActionHandler->OnButtonCC();
}

void CCalWINV1Dlg::OnButtonCE() 
{
    ResetFocus();
    m_pActionHandler->OnButtonCE();
}

void CCalWINV1Dlg::OnButtonD() 
{
    ResetFocus();
    m_pActionHandler->OnButtonD();
}

void CCalWINV1Dlg::OnButtonDiv() 
{
    ResetFocus();
    m_pActionHandler->OnButtonDiv();
}

void CCalWINV1Dlg::OnButtonDot() 
{
    ResetFocus();
    m_pActionHandler->OnButtonDot();
}

void CCalWINV1Dlg::OnButtonE() 
{
    ResetFocus();
    m_pActionHandler->OnButtonE();
}

void CCalWINV1Dlg::OnButtonEqual() 
{
    ResetFocus();
    m_pActionHandler->OnButtonEqual();
}

void CCalWINV1Dlg::OnButtonF() 
{
    ResetFocus();
    m_pActionHandler->OnButtonF();
}

void CCalWINV1Dlg::OnButtonMinus() 
{
    ResetFocus();
    m_pActionHandler->OnButtonMinus();
}

void CCalWINV1Dlg::OnButtonMult() 
{
    ResetFocus();
    m_pActionHandler->OnButtonMult();
}

void CCalWINV1Dlg::OnButtonPlus() 
{
    ResetFocus();
    m_pActionHandler->OnButtonPlus();
}

void CCalWINV1Dlg::OnButtonNeg() 
{
    ResetFocus();
    m_pActionHandler->OnButtonNeg();
}

void CCalWINV1Dlg::OnRadioBin() 
{
    ResetFocus();
    m_pActionHandler->OnRadioBin();
    SetBinaryPad();
}

void CCalWINV1Dlg::OnRadioDec() 
{
    ResetFocus();
    m_pActionHandler->OnRadioDec();
    SetDecimalPad();
}

void CCalWINV1Dlg::OnRadioHex() 
{
    ResetFocus();
    m_pActionHandler->OnRadioHex();
    SetHexadecimalPad();
}

void CCalWINV1Dlg::OnRadioOct() 
{
    ResetFocus();
    m_pActionHandler->OnRadioOct();
    SetOctalPad();
}

void CCalWINV1Dlg::OnCancel() 
{
//	CDialog::OnCancel();
}

void CCalWINV1Dlg::OnOK() 
{
//	CDialog::OnOK();
}

BOOL CCalWINV1Dlg::PreTranslateMessage(MSG *pMsg)
{
    HACCEL hAccel = ((CCalWINV1App *)AfxGetApp())->GetAccelTable();
    if (!( hAccel &&
        ::TranslateAccelerator(this->m_hWnd, hAccel, pMsg)))
        return CDialog::PreTranslateMessage(pMsg);
    else
        return TRUE;
}

void CCalWINV1Dlg::OnKey0() 
{
    EmulateBtnPress(IDC_BUTTON_0);
	OnButton0();
}

void CCalWINV1Dlg::OnKey1() 
{
    EmulateBtnPress(IDC_BUTTON_1);
    OnButton1();
}

void CCalWINV1Dlg::OnKey2() 
{
    EmulateBtnPress(IDC_BUTTON_2);
	OnButton2();
}

void CCalWINV1Dlg::OnKey3() 
{
    EmulateBtnPress(IDC_BUTTON_3);
	OnButton3();
}

void CCalWINV1Dlg::OnKey4() 
{
    EmulateBtnPress(IDC_BUTTON_4);
	OnButton4();
}

void CCalWINV1Dlg::OnKey5() 
{
    EmulateBtnPress(IDC_BUTTON_5);
	OnButton5();
}

void CCalWINV1Dlg::OnKey6() 
{
    EmulateBtnPress(IDC_BUTTON_6);
	OnButton6();
}

void CCalWINV1Dlg::OnKey7() 
{
    EmulateBtnPress(IDC_BUTTON_7);
	OnButton7();
}

void CCalWINV1Dlg::OnKey8() 
{
    EmulateBtnPress(IDC_BUTTON_8);
	OnButton8();
}

void CCalWINV1Dlg::OnKey9() 
{
    EmulateBtnPress(IDC_BUTTON_9);
	OnButton9();
}

void CCalWINV1Dlg::OnKeyA() 
{
    EmulateBtnPress(IDC_BUTTON_A);
	OnButtonA();
}

void CCalWINV1Dlg::OnKeyB() 
{
    EmulateBtnPress(IDC_BUTTON_B);
	OnButtonB();
}

void CCalWINV1Dlg::OnKeyBin() 
{
    EmulateBtnPress(IDC_RADIO_BIN);
    SetRadioButton(IDC_RADIO_BIN);
	OnRadioBin();
}

void CCalWINV1Dlg::OnKeyC() 
{
    EmulateBtnPress(IDC_BUTTON_C);
	OnButtonC();
}

void CCalWINV1Dlg::OnKeyCC() 
{
    EmulateBtnPress(IDC_BUTTON_CC);
	OnButtonCC();
}

void CCalWINV1Dlg::OnKeyCE() 
{
    EmulateBtnPress(IDC_BUTTON_CE);
	OnButtonCE();
}

void CCalWINV1Dlg::OnKeyD() 
{
    EmulateBtnPress(IDC_BUTTON_D);
	OnButtonD();
}

void CCalWINV1Dlg::OnKeyDec() 
{
    EmulateBtnPress(IDC_RADIO_DEC);
    SetRadioButton(IDC_RADIO_DEC);
	OnRadioDec();
}

void CCalWINV1Dlg::OnKeyDiv() 
{
    EmulateBtnPress(IDC_BUTTON_DIV);
	OnButtonDiv();
}

void CCalWINV1Dlg::OnKeyDot() 
{
    EmulateBtnPress(IDC_BUTTON_DOT);
	OnButtonDot();
}

void CCalWINV1Dlg::OnKeyE() 
{
    EmulateBtnPress(IDC_BUTTON_E);
	OnButtonE();
}

void CCalWINV1Dlg::OnKeyEqual() 
{
    EmulateBtnPress(IDC_BUTTON_EQUAL);
	OnButtonEqual();
}

void CCalWINV1Dlg::OnKeyF() 
{
    EmulateBtnPress(IDC_BUTTON_F);
	OnButtonF();
}

void CCalWINV1Dlg::OnKeyHex() 
{
    EmulateBtnPress(IDC_RADIO_HEX);
    SetRadioButton(IDC_RADIO_HEX);
    OnRadioHex();
}

void CCalWINV1Dlg::OnKeyMinus() 
{
    EmulateBtnPress(IDC_BUTTON_MINUS);
	OnButtonMinus();
}

void CCalWINV1Dlg::OnKeyMult() 
{
    EmulateBtnPress(IDC_BUTTON_MULT);
	OnButtonMult();
}

void CCalWINV1Dlg::OnKeyOct() 
{
    EmulateBtnPress(IDC_RADIO_OCT);
    SetRadioButton(IDC_RADIO_OCT);
    OnRadioOct();
}

void CCalWINV1Dlg::OnKeyPlus() 
{
    EmulateBtnPress(IDC_BUTTON_PLUS);
    OnButtonPlus();
}

void CCalWINV1Dlg::OnKeyNeg() 
{
    EmulateBtnPress(IDC_BUTTON_NEG);
    OnButtonNeg();
}

void CCalWINV1Dlg::EmulateBtnPress(int id)
{
    CButton *pBtn = (CButton *)GetDlgItem(id);
    pBtn->SetFocus();
    pBtn->SendMessage(BM_SETSTATE, 1, 0);
    Sleep(100);
    pBtn->SendMessage(BM_SETSTATE, 0, 0);
}

void CCalWINV1Dlg::ResetFocus()
{
    CEdit *pEdit = (CEdit *)GetDlgItem(IDC_STATIC_DISPLAY_PANEL);
    pEdit->SetFocus();
}

void CCalWINV1Dlg::SetRadioButton(int id)
{
    CButton *pBtn = (CButton *) GetDlgItem(IDC_RADIO_BIN);
    if (id == IDC_RADIO_BIN)
        pBtn->SetCheck(1);
    else
        pBtn->SetCheck(0);
    pBtn = (CButton *) GetDlgItem(IDC_RADIO_OCT);
    if (id == IDC_RADIO_OCT)
        pBtn->SetCheck(1);
    else
        pBtn->SetCheck(0);
    pBtn = (CButton *) GetDlgItem(IDC_RADIO_DEC);
    if (id == IDC_RADIO_DEC)
        pBtn->SetCheck(1);
    else
        pBtn->SetCheck(0);
    pBtn = (CButton *) GetDlgItem(IDC_RADIO_HEX);
    if (id == IDC_RADIO_HEX)
        pBtn->SetCheck(1);
    else
        pBtn->SetCheck(0);
}

void CCalWINV1Dlg::updateDisplayPanel(char *buf)
{
    CWnd *pDisplay = GetDlgItem(IDC_STATIC_DISPLAY_PANEL);
    pDisplay->SetWindowText(buf);
}

void CCalWINV1Dlg::SetKeyPad(int number)
{
    const int idAry[]={IDC_BUTTON_0, IDC_BUTTON_1,
                       IDC_BUTTON_2, IDC_BUTTON_3,
                       IDC_BUTTON_4, IDC_BUTTON_5,
                       IDC_BUTTON_6, IDC_BUTTON_7,
                       IDC_BUTTON_8, IDC_BUTTON_9,
                       IDC_BUTTON_A, IDC_BUTTON_B,
                       IDC_BUTTON_C, IDC_BUTTON_D,
                       IDC_BUTTON_E, IDC_BUTTON_F};
    int i;
    CWnd *pWnd;
    for (i=0; i<number; i++)
    {
        pWnd = GetDlgItem(idAry[i]);
        pWnd->EnableWindow();
    }
    for (i=number; i<16; i++)
    {
        pWnd = GetDlgItem(idAry[i]);
        pWnd->EnableWindow(FALSE);
    }
}

void CCalWINV1Dlg::SetBinaryPad()
{
    SetKeyPad(2);
}

void CCalWINV1Dlg::SetOctalPad()
{
    SetKeyPad(8);
}

void CCalWINV1Dlg::SetDecimalPad()
{
    SetKeyPad(10);
}

void CCalWINV1Dlg::SetHexadecimalPad()
{
    SetKeyPad(16);
}

void CCalWINV1Dlg::enableNumberSystemChange(bool flag)
{
    const int idAry[] = {IDC_RADIO_BIN, IDC_RADIO_OCT,
                         IDC_RADIO_DEC, IDC_RADIO_HEX};
    int i;
    CButton *pBtn;
    if (flag)
    {
        for (i=0; i<4; i++)
        {
            pBtn = (CButton *)GetDlgItem(idAry[i]);
            pBtn->EnableWindow();
        }
    }
    else
    {
        for (i=0; i<4; i++)
        {
            pBtn = (CButton *)GetDlgItem(idAry[i]);
            pBtn->EnableWindow(pBtn->GetCheck());
        }
    }
}

void CCalWINV1Dlg::disableNumberSystemChange()
{
    enableNumberSystemChange(false);
}


void CCalWINV1Dlg::OnKeyTest() 
{
    CString strTmp;
    CWnd *pPanel = GetDlgItem(IDC_STATIC_DISPLAY_PANEL);

    // test1 1 + 2 - 3 + 14 = 14
    OnButtonCE();
    OnButton1();
    OnButtonPlus();
    OnButton2();
    OnButtonMinus();
    OnButton3();
    OnButtonPlus();
    OnButton1();
    OnButton4();
    OnButtonEqual();
    TRACE("test1 1 + 2 - 3 + 14 = 14\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test2 1.11 + 12.2 - 3.0 + 4.5 = 14.81
    OnButtonCE();
    OnButton1();
    OnButtonDot();
    OnButton1();
    OnButton1();
    OnButtonPlus();
    OnButton1();
    OnButton2();
    OnButtonDot();
    OnButton2();
    OnButtonMinus();
    OnButton3();
    OnButtonDot();
    OnButton0();
    OnButtonPlus();
    OnButton4();
    OnButtonDot();
    OnButton5();
    OnButtonEqual();
    TRACE("test2 1.11 + 12.2 - 3.0 + 4.5 = 14.81\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test3 2.33 * 1.5 = 
    OnButtonCE();
    OnButton2();
    OnButtonDot();
    OnButton3();
    OnButton3();
    OnButtonMult();
    OnButton1();
    OnButtonDot();
    OnButton5();
    OnButtonEqual();
    TRACE("test3 2.33 * 1.5 = 3.495\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);
    
    // test4 1 * 2 + 3 * 4 / 5.= 4.4
    OnButtonCE();
    OnButton1();
    OnButtonMult();
    OnButton2();
    OnButtonPlus();
    OnButton3();
    OnButtonMult();
    OnButton4();
    OnButtonDiv();
    OnButton5();
    OnButtonDot();
    OnButtonEqual();
    TRACE("test4 1 * 2 + 3 * 4 / 5.= 4.4\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test5 - 2.5 * 2 = - 5.0 * 3 - 5 = -20
    OnButtonCE();
    OnButtonMinus();
    OnButton2();
    OnButtonDot();
    OnButton5();
    OnButtonMult();
    OnButton2();
    OnButtonEqual();
    OnButtonMult();
    OnButton3();
    OnButtonMinus();
    OnButton5();
    OnButtonEqual();
    TRACE("test5 - 2.5 * 2 = - 5.0 * 3 - 5 = -20\n");
    GetDlgItem(IDC_STATIC_DISPLAY_PANEL)->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test6 2 * 3 = 6 neg * 1 neg = 6
    OnButtonCE();
    OnButton2();
    OnButtonMult();
    OnButton3();
    OnButtonEqual();
    OnButtonNeg();
    TRACE("test6 2 * 3 = 6 neg = -6\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test7 23 neg 8 neg . 2 neg 3 (-238.23)
    OnButtonCE();
    OnButton2();
    OnButton3();
    OnButtonNeg();
    OnButton8();
    OnButtonNeg();
    OnButtonDot();
    OnButton2();
    OnButtonNeg();
    OnButton3();
    TRACE("test7 23 neg 8 neg . 2 neg 3 (-238.23)\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    OnButtonEqual();
    OnButton3();
    TRACE("test8 23 neg 8 neg . 2 neg 3 = 3 (3)\n");
    GetDlgItem(IDC_STATIC_DISPLAY_PANEL)->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test9 1234567890 * 2 = 2469135780
    OnButtonCE();
    OnButton1();
    OnButton2();
    OnButton3();
    OnButton4();
    OnButton5();
    OnButton6();
    OnButton7();
    OnButton8();
    OnButton9();
    OnButton0();
    OnButtonMult();
    OnButton2();
    OnButtonEqual();
    TRACE("test9 1234567890 * 2 = 2469135780\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test10 <Dec> 4256 <Hex>
    OnButtonCE();
    OnRadioDec();
    OnButton4();
    OnButton2();
    OnButton5();
    OnButton6();
    OnRadioHex();
    TRACE("test10 <Dec> 4256 <Hex> (10A0)\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);

    // test11 <Dec> 4256.25 <Hex>
    OnButtonCE();
    OnRadioDec();
    OnButton4();
    OnButton2();
    OnButton5();
    OnButton6();
    OnButtonDot();
    OnButton2();
    OnButton5();
    OnRadioHex();
    TRACE("test10 <Dec> 4256.25 <Hex> (10A0.4)\n");
    pPanel->GetWindowText(strTmp);
    TRACE("                      result is %s\n", strTmp);


}
